
From: Olaf Hering <olh@suse.de>

Hardware multithreading for RS64 cpus is currently broken.  Anton sent me a
patch a few weeks ago, but it did not work.  So just hide the config option
for the time being.

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Kconfig |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/Kconfig~ppc64-disable-hmt-for-rs64-cpus arch/ppc64/Kconfig
--- 25/arch/ppc64/Kconfig~ppc64-disable-hmt-for-rs64-cpus	Mon Feb  7 15:52:16 2005
+++ 25-akpm/arch/ppc64/Kconfig	Mon Feb  7 15:52:16 2005
@@ -194,7 +194,10 @@ config NR_CPUS
 
 config HMT
 	bool "Hardware multithreading"
-	depends on SMP && PPC_PSERIES
+	depends on SMP && PPC_PSERIES && BROKEN
+	help
+	  This option enables hardware multithreading on RS64 cpus.
+	  pSeries systems p620 and p660 have such a cpu type.
 
 config DISCONTIGMEM
 	bool "Discontiguous Memory Support"
_
